Module
Contents
Index 🔎︎

# Abs Function

Returns the absolute value of a numeric expression.

## Syntax:

    Abs (Number)

## Return value:

Double

## Parameters:

Number: A numeric expression for which you want the absolute value. Positive numbers, including 0, are returned unchanged, negative numbers being converted to positive numbers of the same magnitude.

The following example uses the Abs function to calculate the difference between two values. It does not matter which value you enter first.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleDifference

    Dim siW1 As Single

    Dim siW2 As Single

        siW1 = Int(InputBox("Please enter the first amount","Value Input"))

        siW2 = Int(InputBox("Please enter the second amount","Value Input"))

        Print "The difference is "; Abs(siW1 - siW2)

    End Sub